/////////////////////////////////////////////////////////////////////////////
// DiversDeco.H
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2002 Grincheux  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//	This file is subject to the terms of the GNU General Public License as
//	published by the Free Software Foundation.  A copy of this license is
//	included with this software distribution in the file COPYING.  If you
//	do not have a copy, you may obtain a copy by writing to the Free
//	Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//	This software is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
//
// This software was based on MultiDec 5.9 Those portions are
// Copyright (C) 1999/2000 Espresso (echter_espresso@hotmail.com)
//
/////////////////////////////////////////////////////////////////////////////

#ifndef DIVERSDECO_H
#define DIVERSDECO_H


extern BOOL 
Line286BlackEven, Line286BlackOdd, Line285BlackEven,
Line285BlackOdd, Line0BlackEven, Line0BlackOdd, Line1BlackEven,
Line1BlackOdd, MatrixModeEven, MatrixModeOdd;

extern int BlackEven, BlackOdd, UntilEven, UntilOdd;
extern int  FirstWidthEven, FirstWidthOdd;
extern int  FirstWidthEvenCount, FirstWidthOddCount;
extern int AutoLockCount; 
extern BOOL  BlackSet[288];
extern int MatrixLinesEven, MatrixLinesOdd;
extern int  Matrix_Unstable_Odd_Count,Matrix_Unstable_Even_Count;//Grincheux rajout le 14/12/2001 pour bande noire stab.

// A virer du code de k!TV
#define Grincheux	"Plugins/key.txt"
#define Idefix		"idx"

BOOL Check_Odd( void );
BOOL Check_Even( void );
void More_Odd();
void More_Even(int);
void Init_More();
void Clear_Status();


#endif